summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-19 23:09:37 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-19 23:09:37 +0100
commitf15bb8153a3f2fce6e0aea28ce029c889a2e7c76 (patch)
tree9122970df4e5dc184d5269c416204f920e93ec5b /include
parentcdc0fb49e1c47a013ea99117acbf62e96ec5c652 (diff)
get.sh: stricter URL check in xbmkget()
don't skip if the URL is empty. throw an error instead. i decree that all links must be properly initialised, because that is the design of lbmk. where only one link is provided, such as in a local copy operation, the second would succeed no better than the first so two identical paths are given. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rw-r--r--include/get.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/get.sh b/include/get.sh
index 89859454..8280d96b 100644
--- a/include/get.sh
+++ b/include/get.sh
@@ -85,7 +85,7 @@ xbmkget()
echk="f" && [ "$1" = "git" ] && echk="d"
for url in "$2" "$3"; do
- [ -n "$url" ] || continue
+ [ -n "$url" ] || err "empty URL given in: xbmkget $*"
try_file "$url" "$@" || continue
eval "[ -$echk \"$4\" ] || continue"
return 0 # successful download/copy